using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace digioz
{
    public class ContactInfo
    {
        private string csContactName;
        private string csContactEMail;
        private string csSenderName;
        private string csSenderEMail;
        private string csSenderSubject;
        private string csSenderMessage;
        private string csAttachment;
        private string csSMTPServer;
        private string csSMTPUsername;
        private string csSMTPPassword;
        private string csSMTPPasswordEncrypted;

        public ContactInfo()
        {}

        public string CleanText(string psText)
        {
            string lsText = psText.Replace("'", "''");
            return lsText;
        }

        public string ContactName
        {
            get { return csContactName; }
            set { csContactName = value; }
        }

        public string ContactEMail
        {
            get { return csContactEMail; }
            set { csContactEMail = CleanText(value); }
        }

        public string SenderName
        {
            get { return csSenderName; }
            set { csSenderName = CleanText(value); }
        }

        public string SenderEMail
        {
            get { return csSenderEMail; }
            set { csSenderEMail = CleanText(value); }
        }

        public string SenderSubject
        {
            get { return csSenderSubject; }
            set { csSenderSubject = CleanText(value); }
        }

        public string SenderMessage
        {
            get { return csSenderMessage; }
            set { csSenderMessage = CleanText(value); }
        }

        public string Attachment
        {
            get { return csAttachment; }
            set { csAttachment = value; }
        }
        
        public string SMTPServer
        {
            get { return csSMTPServer; }
            set { csSMTPServer = CleanText(value); }
        }
        
        public string SMTPUsername
        {
            get { return csSMTPUsername; }
            set { csSMTPUsername = CleanText(value); }
        }
        
        public string SMTPPassword
        {
            get { return csSMTPPassword; }
            set { csSMTPPassword = CleanText(value); }
        }
        
        public string SMTPPasswordEncrypted
        {
            get { return csSMTPPasswordEncrypted; }
            set { csSMTPPasswordEncrypted = value; }
        }
    }
}

